# $Revision: 1.21 $, $Date: 2002/07/16 11:38:37 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Encoding
Summary:	XML::Encoding Perl module
Summary(cs):	Modul XML::Encoding pro Perl
Summary(da):	Perlmodul XML::Encoding
Summary(de):	XML::Encoding Perl Modul
Summary(es):	Mdulo de Perl XML::Encoding
Summary(fr):	Module Perl XML::Encoding
Summary(it):	Modulo di Perl XML::Encoding
Summary(ja):	XML::Encoding Perl ⥸塼
Summary(ko):	XML::Encoding  
Summary(no):	Perlmodul XML::Encoding
Summary(pl):	Modu Perla XML::Encoding
Summary(pt):	Mdulo de Perl XML::Encoding
Summary(pt_BR):	Mdulo Perl XML::Encoding
Summary(ru):	  Perl XML::Encoding
Summary(sv):	XML::Encoding Perlmodul
Summary(uk):	  Perl XML::Encoding
Summary(zh_CN):	XML::Encoding Perl ģ
Name:		perl-XML-Encoding
Version:	1.01
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-XML-Parser >= 2.18
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Encoding - module for parsing XML encoding maps.

%description -l pl
XML::Encoding - modu analizujcy mapy kodowania XML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README maps
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/XML/Encoding.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Encoding.spec,v $
Revision 1.21  2002/07/16 11:38:37  ankry
- translations, cleaning
- release 9

Revision 1.20  2002/07/13 18:38:42  qboosh
- new %%doc, cosmetics

Revision 1.19  2002/07/10 09:02:54  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 21:51:49  kloczek
- spec adapterized.

Revision 1.14  2002/02/13 14:21:40  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:38:42  depesz
adapterized

Revision 1.12  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:18:32  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/26 02:42:10  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:02  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:44  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
